| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IExceptionSvc Class Reference

`#include <IExceptionSvc.h>`

Inheritance diagram for IExceptionSvc:

[legend]
Collaboration diagram for IExceptionSvc:

[legend]
List of all members.

## Detailed Description

The anstract interface for exception handling service.

See also:
  GaudiException

Author:
  (1) ATLAS collaboration

  (2) modified by Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-03-08

Definition at line 27 of file IExceptionSvc.h.

## Public Member Functions
virtual StatusCode | handle (const INamedInterface &o, const GaudiException &e) const =0
| Handle caught GaudiExceptions Handle caught exceptions.
virtual StatusCode | handle (const INamedInterface &o, const std::exception &e) const =0
| Handle caught std::exceptions Handle caught exceptions.
virtual StatusCode | handle (const INamedInterface &o) const =0
| Handle caught (unknown)exceptions Handle caught exceptions.
virtual StatusCode | handleErr (const INamedInterface &o, const StatusCode &s) const =0
| Handle errors Handle errors.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| The unique interface indetifier.
## Protected Member Functions
virtual | ~IExceptionSvc ()
| virtual and proteted destructor

## Constructor & Destructor Documentation

IExceptionSvc::~IExceptionSvc | ( |  | ) | `[protected, virtual]`

virtual and proteted destructor

Definition at line 40 of file IExceptionSvc.cpp.

    00040 {}

## Member Function Documentation

virtual StatusCode IExceptionSvc::handle | ( | const INamedInterface & | o,
|  | const GaudiException & | e |
| ) |  |  | const`[pure virtual]`

Handle caught GaudiExceptions Handle caught exceptions.

Implemented in ExceptionSvc.

Referenced by Algorithm::sysExecute().

virtual StatusCode IExceptionSvc::handle | ( | const INamedInterface & | o,
|  | const std::exception & | e |
| ) |  |  | const`[pure virtual]`

Handle caught std::exceptions Handle caught exceptions.

Implemented in ExceptionSvc.

virtual StatusCode IExceptionSvc::handle | ( | const INamedInterface & | o | ) | const`[pure virtual]`

Handle caught (unknown)exceptions Handle caught exceptions.

Implemented in ExceptionSvc.

virtual StatusCode IExceptionSvc::handleErr | ( | const INamedInterface & | o,
|  | const StatusCode & | s |
| ) |  |  | const`[pure virtual]`

Handle errors Handle errors.

Implemented in ExceptionSvc.

Referenced by Algorithm::sysExecute().

const InterfaceID & IExceptionSvc::interfaceID | ( |  | ) | `[static]`

The unique interface indetifier.

Reimplemented from IInterface.

Definition at line 36 of file IExceptionSvc.cpp.

References s_IExceptionSvc.

Referenced by ExceptionSvc::queryInterface().

    00036 { return s_IExceptionSvc ; }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IExceptionSvc.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/IExceptionSvc.cpp